"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const serlina_1 = require("../serlina");
const path = require("path");
exports.command = 'build <baseDir>';
exports.builder = {
    'baseDir': {
        description: 'baseDir. Relative to process.cwd()'
    },
    'outputPath': {
        description: 'assets file output path.'
    },
    'publicPath': {
        description: 'publicPath in webpack. Set it if you use CDN'
    }
};
exports.handler = argv => {
    const app = new serlina_1.default(Object.assign(Object.assign({}, argv), { dev: false, baseDir: path.resolve(process.cwd(), argv.baseDir) }));
    const compiler = app.build();
    compiler.run();
};
