"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const loader_utils_1 = require("loader-utils");
function Loader(content, map, meta) {
    const options = loader_utils_1.getOptions(this);
    if (this.context.match(path.resolve(options.baseDir, './pages'))) {
        return `
      console.log('start here');
      ${content};
      console.log(module)
    `;
    }
    else {
        return content;
    }
}
exports.default = Loader;
